EndpointsReporters

Register a reporter

POST/v2/reporters/register

Creates a reporter or updates metadata for an existing owner-scoped name. New reporters return a submission key once. Hosted reporters keep the latest version's output contract.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Request Body

application/json

Reporter identity and output contract.

curl -X POST "https://example.com/v2/reporters/register" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "display_name": "string",    "description": "string",    "outputs": [      {        "name": "string",        "type": "render-html",        "description": "string"      }    ]  }'
{  "id": "string",  "name": "string",  "user_id": "string",  "created": true,  "reporter_key": "string",  "created_at": "2019-08-24T14:15:22Z"}